<?php



class TblspacefileMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TblspacefileMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TblspacefilePeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TblspacefilePeer::TABLE_NAME);
		$tMap->setPhpName('Tblspacefile');
		$tMap->setClassname('Tblspacefile');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('FILE_ID', 'FileId', 'INTEGER', true, null);

		$tMap->addForeignKey('FILE_RESOURCE', 'FileResource', 'INTEGER', 'tblspaceresource', 'RES_ID', true, null);

		$tMap->addColumn('FILE_CATEGORY', 'FileCategory', 'INTEGER', true, null);

		$tMap->addColumn('FILE_USER', 'FileUser', 'INTEGER', true, null);

		$tMap->addColumn('FILE_NAME', 'FileName', 'VARCHAR', false, 255);

		$tMap->addColumn('FILE_TYPE', 'FileType', 'VARCHAR', false, 15);

		$tMap->addColumn('FILE_DATE', 'FileDate', 'TIMESTAMP', true, null);

	} 
} 